Class DeleteGalleryImage
java.lang.Object
masecla.modrinth4j.endpoints.generic.Endpoint<EmptyResponse,DeleteGalleryImage.DeleteGalleryImageRequest>
masecla.modrinth4j.endpoints.project.gallery.DeleteGalleryImage
public class DeleteGalleryImage
extends Endpoint<EmptyResponse,DeleteGalleryImage.DeleteGalleryImageRequest>
This endpoint is used to delete a gallery image.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classRepresents the request. -
Constructor Summary
ConstructorsConstructorDescriptionDeleteGalleryImage(HttpClient client, com.google.gson.Gson gson) Creates a new instance of the endpoint. -
Method Summary
Modifier and TypeMethodDescriptionReturns the endpoint.Returns the method.com.google.gson.reflect.TypeToken<DeleteGalleryImage.DeleteGalleryImageRequest> Returns the request class.com.google.gson.reflect.TypeToken<EmptyResponse> Returns the response class.booleanWhether or not the request is a json body.Methods inherited from class masecla.modrinth4j.endpoints.generic.Endpoint
checkBodyForErrors, executeRequest, getReplacedUrl, readFile, readStream, requiresBody, sendRequest, sendRequest
-
Constructor Details
-
DeleteGalleryImage
Creates a new instance of the endpoint.- Parameters:
client- The client to use.gson- The gson instance to use.
-
-
Method Details
-
getEndpoint
Returns the endpoint.- Specified by:
getEndpointin classEndpoint<EmptyResponse,DeleteGalleryImage.DeleteGalleryImageRequest> - Returns:
- - The endpoint of the request.
-
getRequestClass
public com.google.gson.reflect.TypeToken<DeleteGalleryImage.DeleteGalleryImageRequest> getRequestClass()Returns the request class.- Specified by:
getRequestClassin classEndpoint<EmptyResponse,DeleteGalleryImage.DeleteGalleryImageRequest> - Returns:
- - The
TypeTokenfor the response.
-
getResponseClass
Returns the response class.- Specified by:
getResponseClassin classEndpoint<EmptyResponse,DeleteGalleryImage.DeleteGalleryImageRequest> - Returns:
- - The
TypeTokenfor the response.
-
isJsonBody
public boolean isJsonBody()Whether or not the request is a json body.- Overrides:
isJsonBodyin classEndpoint<EmptyResponse,DeleteGalleryImage.DeleteGalleryImageRequest> - Returns:
- - Whether or not the request body should be JSON.
-
getMethod
Returns the method.- Overrides:
getMethodin classEndpoint<EmptyResponse,DeleteGalleryImage.DeleteGalleryImageRequest> - Returns:
- - The HTTP method being used
-